%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name setuptools_scm
%global pypi_version 8.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.2%{?dist}
Summary:        the blessed package to manage your versions by scm tags

License:        MIT
URL:            https://github.com/pypa/setuptools_scm/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools >= 61
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%description
setuptools_scm :code:setuptools_scm handles managing your python package
versions in scm metadata instead of declaring them as the version argument or
in a scm managed file.It also handles file finders for the supported scm's.
Setup.py usage --To use setuptools_scm just modify your project's setup.py file
like this:1. Add :code:'setuptools_scm' to the :code:setup_requires parameter
2. Add the...

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
setuptools_scm :code:setuptools_scm handles managing your python package
versions in scm metadata instead of declaring them as the version argument or
in a scm managed file.It also handles file finders for the supported scm's.
Setup.py usage --To use setuptools_scm just modify your project's setup.py file
like this:1. Add :code:'setuptools_scm' to the :code:setup_requires parameter
2. Add the...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info

%changelog
* Fri Feb 14 2025 Carlos Heiras <carlos.heiras@oracle.com> - 8.1.0-1.0.2
- Update to 8.1.0

* Tue Aug 13 2024 Darren Archibald <darren.archibald@oracle.com> - 1.15.7-1.0.1
- Add python3.11-rpm-macros to the BuildRequires

* Tue Jul 23 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.15.7-1
- Initial package.
